server {
    listen 443 ssl;
    http2   on;
    include /etc/nginx/conf.d/ssl_settings/ssl-x-integration-uavcmlc.conf;
    listen 80;
    server_name www.integration.uavcmlc.com;

    location / {
        proxy_pass http://192.168.35.178:30500/;

        client_max_body_size 5120m;
        client_body_buffer_size 5120m;
        client_body_timeout 6000s;

        proxy_send_timeout 10000s;
        proxy_read_timeout 10000s;

        proxy_connect_timeout 600s;

        proxy_max_temp_file_size 5120m;

        proxy_request_buffering on;

        proxy_buffering off;
        proxy_buffer_size 4k;
        proxy_buffers 4 12k;

        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "upgrade";
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }

    location /rtc/v1/ {
        proxy_set_header Host $host';
        proxy_set_header X-Real-IP         $remote_addr;
        proxy_set_header X-Forwarded-For   $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "upgrade";
        proxy_pass http://192.168.35.178:30557;
    }

}
